Bug 997539 - VM doesnt go to status pause after watchdog action 'dump' is triggered
VM doesnt go to status pause after watchdog action 'dump' is triggered
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
All Linux
medium Severity medium
: ---
: 3.3.0
Assigned To: nobody nobody
Lukas Svaty
http://www.ovirt.org/Features/Watchdo...
sla
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 10:24 EDT by Lukas Svaty
Modified: 2016-02-10 15:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 10:22:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log of actions (263.60 KB, text/x-log)
2013-08-30 13:16 EDT, Lukas Svaty
no flags Details
engine.log of start VM action (1.64 MB, text/x-log)
2013-08-30 13:17 EDT, Lukas Svaty
no flags Details
engine.log of start VM action (6.65 KB, text/x-log)
2013-08-30 13:18 EDT, Lukas Svaty
no flags Details
vdsm.log of action dump (8.39 KB, text/x-log)
2013-08-30 13:28 EDT, Lukas Svaty
no flags Details
engine.log of action dumb (1.67 KB, text/x-log)
2013-08-30 13:30 EDT, Lukas Svaty
no flags Details

  None (edit)
Description Lukas Svaty 2013-08-15 10:24:36 EDT
Description of problem:
Based on specification on:

http://www.ovirt.org/Features/Watchdog_engine_support

VM after triggering watchdog (kill -9 `pgrep watchdog`) with action 'dump' should go to status pause. However VM stay in up status.
This is officialy supported by libvirt based on:

http://libvirt.org/formatdomain.html

Version-Release number of selected component (if applicable):
is10

How reproducible:
100%

Steps to Reproduce:
1. Add Vm with watchdog
2. Set action to dump
3. Install Linux OS
In VM run:
4. yum -y install watchdog
5. sed -i 's/#w/w/' /etc/watchdog.conf
6. service watchdog start
7. kill -9 `pgrep watchdog`

Actual results:
Vm stays in status up and dump file located in specified by:

# grep ^auto_dump_path < /etc/libvirt/qemu.conf 

is created

Aditional info:
It is unclear if RHEVM should pause the VM by specification on ovirt wiki or go with the libvirt version.
Comment 1 Doron Fediuck 2013-08-20 09:53:08 EDT
Lukas,
the paused mode is set by the device.

Can you check what vdsm reports on this VM and also what libvirt reports?
Comment 2 Laszlo Hornyak 2013-08-28 13:12:18 EDT
Reproduced on upstream, the engine kicks it back to running state.
Try it like this:
- start a VM with i6300esb and pause
- kill the watchdog process
- immediately kill the engine
- ssh to host
- virsh (vdsm@ovirt shibboleth)
- list - and see the Vm as paused
Comment 3 Laszlo Hornyak 2013-08-30 09:21:50 EDT
After some test, it turned out that it was not the engine that kicked back the VM to running state. Even when the engine is down, the VM goes back to running state. So if this is a bug, then it belongs to libvirt.

Also, the default dump directory (/var/lib/libvirt/qemu/dump/) does not exist after fresh installation of libvirt, therfore the dumps are not created.
Comment 4 Lukas Svaty 2013-08-30 13:16:14 EDT
Created attachment 792259 [details]
vdsm.log of actions

adding VDSM.log of action starting the VM + 5 mins waiting for watchdog action to be triggered
Comment 5 Lukas Svaty 2013-08-30 13:17:08 EDT
Created attachment 792260 [details]
engine.log of start VM action
Comment 6 Lukas Svaty 2013-08-30 13:18:12 EDT
Created attachment 792261 [details]
engine.log of start VM action
Comment 7 Lukas Svaty 2013-08-30 13:28:10 EDT
Created attachment 792264 [details]
vdsm.log of action dump
Comment 8 Lukas Svaty 2013-08-30 13:30:17 EDT
Created attachment 792265 [details]
engine.log of action dumb

sorry for so many reuploads got mixed logs from two bugs
this should be fine now...

nothing special appeared in engine.log so this might be an libvirt issue as laszlo suggested
Comment 9 Laszlo Hornyak 2013-09-09 04:51:19 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1004400 - the related libvirt bug
Comment 11 Doron Fediuck 2013-09-16 10:22:49 EDT
This behavior originates from libvirt.
Re-open if there is engine-specific issues.

Note You need to log in before you can comment on or make changes to this bug.